package com.elab.redis.interceptor;

import org.springframework.aop.Pointcut;
import org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor;

/**
 * 重复提交
 *
 * @author ： liukx
 * @time ： 2020/7/9 - 19:55
 */
public class LockCacheAttributeSourceAdvisor extends AbstractBeanFactoryPointcutAdvisor {

    private LockCacheAttributeSourcePointcut pointcut;

    public void setPointcut(LockCacheAttributeSourcePointcut pointcut) {
        this.pointcut = pointcut;
    }

    @Override
    public Pointcut getPointcut() {
        return pointcut;
    }
}
